org.keycloak.partialimport

## Class ClientRolesPartialImport

- java.lang.Object
- - org.keycloak.partialimport.ClientRolesPartialImport

-     public class ClientRolesPartialImport
      extends Object

  Partial Import handler for Client Roles.
  Author:
    Stan Silvert ssilvert@redhat.com (C) 2016 Red Hat Inc.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientRolesPartialImport()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PartialImportResult` | `added(String clientId, String modelId, RoleRepresentation roleRep)`
    `void` | `deleteRole(RealmModel realm, String clientId, RoleRepresentation roleRep)`
    `boolean` | `exists(RealmModel realm, KeycloakSession session, String clientId, RoleRepresentation roleRep)`
    `protected ErrorResponseException` | `exists(String message)`
    `String` | `existsMessage(String clientId, RoleRepresentation roleRep)`
    `String` | `getCombinedName(String clientId, RoleRepresentation roleRep)`
    `String` | `getModelId(RealmModel realm, String clientId)`
    `String` | `getName(RoleRepresentation roleRep)`
    `Map<String,List<RoleRepresentation>>` | `getRepList(PartialImportRepresentation partialImportRep)`
    `ResourceType` | `getResourceType()`
    `Map<String,Set<RoleRepresentation>>` | `getToOverwrite()`
    `Map<String,Set<RoleRepresentation>>` | `getToSkip()`
    `protected ErrorResponseException` | `noClientFound(String clientId)`
    `PartialImportResult` | `overwritten(String clientId, String modelId, RoleRepresentation roleRep)`
    `void` | `prepare(PartialImportRepresentation partialImportRep, RealmModel realm, KeycloakSession session)`
    `PartialImportResult` | `skipped(String clientId, String modelId, RoleRepresentation roleRep)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientRolesPartialImport

          public ClientRolesPartialImport()

  - ### Method Detail

    - #### getToOverwrite

          public Map<String,Set<RoleRepresentation>> getToOverwrite()

    - #### getToSkip

          public Map<String,Set<RoleRepresentation>> getToSkip()

    - #### getRepList

          public Map<String,List<RoleRepresentation>> getRepList(PartialImportRepresentation partialImportRep)

    - #### getName

          public String getName(RoleRepresentation roleRep)

    - #### getCombinedName

          public String getCombinedName(String clientId,
                                        RoleRepresentation roleRep)

    - #### exists

          public boolean exists(RealmModel realm,
                                KeycloakSession session,
                                String clientId,
                                RoleRepresentation roleRep)

    - #### existsMessage

          public String existsMessage(String clientId,
                                      RoleRepresentation roleRep)

    - #### getResourceType

          public ResourceType getResourceType()

    - #### deleteRole

          public void deleteRole(RealmModel realm,
                                 String clientId,
                                 RoleRepresentation roleRep)

    - #### prepare

          public void prepare(PartialImportRepresentation partialImportRep,
                              RealmModel realm,
                              KeycloakSession session)
                       throws ErrorResponseException

      Throws:
        `ErrorResponseException`

    - #### exists

          protected ErrorResponseException exists(String message)

    - #### noClientFound

          protected ErrorResponseException noClientFound(String clientId)

    - #### overwritten

          public PartialImportResult overwritten(String clientId,
                                                 String modelId,
                                                 RoleRepresentation roleRep)

    - #### skipped

          public PartialImportResult skipped(String clientId,
                                             String modelId,
                                             RoleRepresentation roleRep)

    - #### added

          public PartialImportResult added(String clientId,
                                           String modelId,
                                           RoleRepresentation roleRep)

    - #### getModelId

          public String getModelId(RealmModel realm,
                                   String clientId)

Copyright © 2020 JBoss by Red Hat. All rights reserved.